package edu.sc.seis.cormorant;

import java.util.Properties;
import org.omg.CORBA.ORB;

import edu.sc.seis.fissuresUtil.database.ConnMgr;
import edu.sc.seis.fissuresUtil.database.ConnectionCreator;
import edu.sc.seis.fissuresUtil.hibernate.AbstractHibernateDB;
import edu.sc.seis.fissuresUtil.hibernate.HibernateUtil;

public abstract class DBProvidingAbstractController extends AbstractController {

    public DBProvidingAbstractController(Properties confProps,
                                         String serverPropName,
                                         ORB orb) {
        super(confProps, serverPropName, orb);
        ConnMgr.setURL(confProps.getProperty(Start.CORMORANT_SERVERS
                        + "." + serverPropName + ".databaseURL"));
    }

    protected ConnectionCreator dbConnCreator;
}
